<template>
  <article>
    <figure class="tarjeta-interior bg-100 rounded-xl p-8 text-white">
      <h3>{{titulo}}</h3>
      <img class="h-72 w-96 mx-auto" :src=imagen alt="" >
      <div class="pt-6 text-center space-y-4">
        <blockquote>
          <p class="text-lg font-semibold">
            {{resumen}}
          </p>
        </blockquote>
        <figcaption class="font-medium md:flex justify-end">
          <div>
            <div>{{autor}}</div>
            <div>{{fecha}}</div>
          </div>       
        </figcaption>
        <button v-on:click="clickVerArticulo()" class="boton-articulo bg-transparent font-semibold hover:text-white py-2 px-4 border hover:border-transparent rounded">
          Ver mas
        </button>
      </div>
    </figure>
  </article>
</template>

<script>
export default {
  props: {
    id: Number,
    titulo: String,
    imagen: String,
    resumen: String,
    autor: String,
    fecha: String
  },
  methods: {
    clickVerArticulo(){
      this.$router.push('/articulo/' + this.id)
    }
  }
};
</script>


<style>
article {
  margin-top: 2rem;
  padding: 1em;
  font-size: 140%;
  max-width: 800px;
  background: rgba( 255, 161, 2, 0.70 );
  box-shadow: 0 8px 32px 0 rgba( 31, 38, 135, 0.37 );
  border-radius: 10px;
  border: 1px solid rgba( 255, 255, 255, 0.18 );
  z-index: -10; 
}

.boton-articulo {
  border: 2px #f39831 solid;

}

.boton-articulo:hover {
  background: #f39831;
}

article h3 {
animation: glow 1s ease-in-out infinite alternate;
font-family: 'Zen Dots', cursive;
}

@keyframes glow {
  from {
    text-shadow: 0 0 5px #fff, 0 0 10px #fff, 0 0 15px #f39831, 0 0 20px #f39831, 0 0 25px #f39831, 0 0 30px #f39831, 0 0 35px #f39831;
  }
  to {
    text-shadow: 0 0 10px #fff, 0 0 20px #fff, 0 0 30px #f39831, 0 0 40px #f39831, 0 0 50px #f39831, 0 0 60px #f39831, 0 0 70px #f39831;
  }
}

article p {
  margin: 0;
}
article p + p {
  margin-top: 0.7em;
}


.tarjeta-interior {
  background: rgb(37, 37, 37);
  box-shadow: 0 8px 32px 0 rgba( 31, 38, 135, 0.37 );
  /* backdrop-filter: blur( 3.0px );
  -webkit-backdrop-filter: blur( 3.0px ); */
  border-radius: 10px;
}
</style>
